Summary: C/C++ library for processing configuration files
Name: libconfig
Version: 1.7.3
Release: 3%{?dist}
License: LGPLv2+
URL: http://www.hyperrealm.com/libconfig/
Source0: https://hyperrealm.github.io/%{name}/dist/%{name}-%{version}.tar.gz
BuildRequires: gcc gcc-c++ texinfo bison flex make

%description
Libconfig is a simple library for manipulating structured configuration
files. This file format is more compact and more readable than XML. And
unlike XML, it is type-aware, so it is not necessary to do string parsing
in application code.

%package devel
Summary: Development files for libconfig
Requires: libconfig = %{version}-%{release}

%description devel
Development libraries and headers for developing software against
libconfig.

%prep
%autosetup
iconv -f iso-8859-1 -t utf-8 -o AUTHORS.utf8 AUTHORS
mv AUTHORS.utf8 AUTHORS

%build
%configure --disable-silent-rules --disable-static
%make_build

%install
%make_install
rm -rf %{buildroot}%{_libdir}/*.la
rm -rf %{buildroot}%{_infodir}/dir

%check
make check

%files
%license COPYING.LIB
%doc AUTHORS ChangeLog README
%{_libdir}/libconfig*.so.11*

%files devel
%{_includedir}/libconfig*
%{_libdir}/cmake/%{name}
%{_libdir}/cmake/%{name}++
%{_libdir}/libconfig*.so
%{_libdir}/pkgconfig/libconfig*.pc
%{_infodir}/libconfig.info*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.3-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jul 08 2022 Wang Zhe <bessiewang@tencent.com> - 1.7.3-1
- initial build
